## gimp-plugin-registry 5.20120523

=== debian/changelog ===
gimp-plugin-registry (5.20120523) unstable; urgency=low

  * [c8cca220] Add gimp-resynthesizer plugin.
    Thanks to Bryan Donlan <bdonlan@gmail.com> (Closes: #626317)
  * [4c849dd7] Remove xmc plugin for Gimp 2.8
  * [857d6172] Fix openraster description as suggested by lintian.
  * [2a7e42c3] Updating copyright/control files.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 May 2012 21:57:37 +0200

=== debian/control ===
Source: gimp-plugin-registry
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, quilt,
 libgimp2.0-dev (>= 2.6), libxml-parser-perl,
 libblas-dev, liblapack-dev, libf2c2-dev, libfftw3-dev, libglew-dev,
 libgtkglext1-dev, liblcms1-dev, libtiff4-dev,
 liblqr-1-0-dev (>= 0.3.0), intltool,
 libxcursor-dev, python, automake, autoconf, libglib2.0-dev
Standards-Version: 3.9.0
Vcs-Git: git://git.recluse.de/debian/pkg-gimp-plugin-registry.git
Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gimp-plugin-registry.git;a=summary

Package: gimp-plugin-registry
Architecture: any
Depends: gimp (>= 2.6),
 ${shlibs:Depends}, ${misc:Depends},
 python, libtiff-tools, xdg-utils
Suggests: icc-profiles
Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer
Provides: gimp-save-for-web, gimp-resynthesizer
Enhances: gimp
Recommends: gimp-gmic
Description: repository of optional extensions for GIMP
 The package contains the following plugins:
 .
   * Add Film Grain (2.8):
     Helps adding realistic film grain to BW images.
   * btn4ws (0.8.0.1):
     Generates a series of buttons in three states (passive, active, pressed)
     with various selectable effects on them, as well as XHTML, CSS and
     JavaScript code for using the buttons.
   * Black and White Film Simulation (1.1):
     Converts the selected layer into Black and White using
     the channel mixer. Tries to produce results resembling
     tonal qualities of film.
   * CMYK Tiff 2 PDF for Gimp (20090321):
     This plugin completes the prepress workflow of using Separate+ to generate
     CMYK Tiff images by allowing you to convert the saved CMYK Tiff image into
     a PDF file.
   * Contact Sheet (2.16):
     Generates a contact sheet(s) for a directory of images.
   * David's Batch Processor (1.1.9):
     A simple batch processing plugin for The Gimp - it allows
     the user to automatically perform operations (such as resize)
     on a collection of image files.
   * Diana-Holga2 (c):
     Diana/Holga Toys Cameras effect simulator.
   * El Samuko GIMP Scripts:
     * Antique Photo Border Script:
       This script simulates a yellowed and slightly jagged border
       like these of old photographies.
     * Che Guevara Script:
       This script generates a poster like the famous Che Guevara
       one from Jim Fitzpatrick.
     * Cyanotype Script:
       This script simulates the Cyanotype printing process.
     * Difference Layer Script
       This script generates two difference layers from the two layers
       on the top. It's similar to GIMP's built-in Grain Extract/Merge
       function, but the tonal range is bigger.
       Now you can apply further editing and "switch on/off" the
       adjustment by switching the visibility of the subtractive and
       the additive layer.
       Also you can change the modification intensity by changing the
       intensity of these two layers.
     * Erosion Sharpen:
       Sharpens the image with erosion and dilation.
     * Escape Line Script:
       This script creates escaping lines from any point. It's similar
       in function to the built-in Line-Nova Script, but much more
       flexible. So you can chose the center, the thickness, the angle,
       the length, the offset and the randomness.
     * Film Grain Script:
       This is yet another script which simulates the typical film grain
       of high ISO pictures.
     * First Photo Border Script:
       This script simulates the cut-off of the first picture of a film
       roll of cheap cameras like Lomo.
     * Lomo Script with Old Style Colors
       This script simulates the Lomo effect.
     * Movie 300 Script:
       This script simulates the color style of the movie "300".
     * National Geographic Script:
       This script simulates a high quality (portrait) photo like
       these from the National Geographic.
     * Obama "HOPE" Script:
       This script generates a poster like the famous Obama "HOPE"
       one from Shepard Fairey.
     * Rainy Landscape Script:
       This script changes a dry landscape to a wet one.
     * Photochrom Script:
       This script simulates a photochrom image, a lithographic printing
       process from the 1890's.
     * Sprocket Hole Script:
       This script simulates complete exposed 35mm film strips with frame
       numbers, lettering, overexposed sprocketholes and DX film edge barcodes.
     * Sunny Landscape Script:
       This script changes a rainy landscape to a sunny one.
     * Technicolor 2 Color Script:
       This script simulates the 2 Color Technicolor effect.
     * Technicolor 3 Color Script:
       This script simulates the 3 Color Technicolor effect.
     * Vintage Look Script:
       This script simulates a 70s vintage look.
      * Exposure Blend (1.3b):
        Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
        and blend these into a contrast enhanced image.
   * EZ Perspective:
     Specialized tool for easily correcting or changing perspective.
   * Fix-CA (3.0.2):
     Corrects chromatic aberration in photos
   * Focus-Blur (3.2.6):
     This plugin tries to simulate an out-of-focus blur
   * GIMP FX Foundry (r111):
     Probably the largest script collection available for The GIMP.
   * GIMP-Mask:
     Do and undo several popular image masking (that is, censoring)
     methods (CP, FL, Q0, MEKO).
   * Warming and Cooling Filters (May 24, 2010):
     Warm or cool an image using one of several methods:
     Wratten, Roy's Warm, Brauer's Warm, Pasty Cadaveric Look
   * Layer-Effects (4/12/2012):
     This is a series of scripts that implement various layer effects:
     Drop Shadow, Inner Shadow, Outer Glow, Inner Glow, Bevel and Emboss,
     Satin, Color Overlay, Gradient Overlay, Pattern Overlay, Stroke
   * Liquid Rescale (0.7.1):
     Content-aware rescaling. Keeps the features of the image while
     rescaling along a single direction.
   * Normalmap (1.2.2):
     Allows you to convert images into RGB normal maps for use in
     per-pixel lighting applications.
   * OpenRaster load/save handler (20110529-1d32622):
     OpenRaster is an effort by the Create project[1] to offer a standardized
     and open interchange format for raster-based applications. This plugin
     allows one to load and save files in the OpenRaster format.
   * Planet Render (1-2):
     Creates a planet. Color, size and sun orientation
     can be set.
   * Refocus (0.9.1):
     The GIMP plugin to refocus images using FIR Wiener filtering.
     During image processing operations such as scanning and scaling, images
     tend to get blurry. The blurred impression of these images is due to the
     fact that image pixels are averaged with their neighbors. Blurred images
     don't have sharp boundaries and look as though they have been taken with
     an unfocused camera.
   * Resynthesizer (2.0):
     Gimp plugin for texture synthesis
     This gimp plugin takes samples of textures, and synthesizes larger textures
     from them.  It can be used to extend textures (including making tileable
     textures), remove objects from textures, and make themed images.
   * Save for Web (0.29.0):
     Allows to experiment with various popular web format options. It shows
     an automatically updated preview and file size statistics.
   * Separate+ (0.5.8):
     Separate+ is a plug-in that generates color separations from an RGB
     image, proofs CMYK colors on the monitor and exports the CMYK TIFF file.
   * Smart Seperate Sharpening (2.8):
     This script implements a new version of smart sharpening (redux)
     combined with separate sharpen to give better results.
     You can find more about Smart Sharpening at
     http://www.gimpguru.org/Tutorials/SmartSharpening2/
   * Streak-Camera simulation (0.6):
     A streak camera images an object through a slit -
     thus getting a "one dimensional image". This image is
     propagated along the second dimension of the image plane
     at a constant speed. The result is a picture of the time
     dependency of the object.
   * Traditional Orton:
     This is an effect invented by Michael Orton in the 1990’s, which
     consists of taking two copies of an image, one blurred, and one sharp,
     and mixing them to produce an image with a dreamy quality. It is
     especially well suited to landscape and flower photography.
   * Wavelet Decompose (0.1.2):
     The wavelet decompose plugin decomposes a layer of an image into layers
     of wavelet scales. This means that you can edit the image on different
     detail scales (frequencies). The trivial recomposition of the image can
     be done by GIMP's layer modes so you can see the results of your
     modifications instantly. Among the applications are retouching, noise
     reduction, and enhancing global contrast.
   * Wavelet Denoise (0.3.1):
     The wavelet denoise plugin is a tool to selectively reduce noise in
     individual channels of an image with optional RGB<->YCbCr conversion.
     It has a user interface to adjust the amount of denoising applied. The
     wavelet nature of the algorithm makes the processing quite fast.

## gimp-plugin-registry 5.20120621

=== debian/changelog ===
gimp-plugin-registry (5.20120621) unstable; urgency=low

  * [83567039] Add patch to avoid calling deprecated g_thread_init.
               (LP: #1013003)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Jun 2012 22:54:56 +0200

## gimp-plugin-registry 5.20120621ubuntu1

=== refocus/Makefile ===

CC=gcc

build: build-stamp
build-stamp:
	set -e; cd build; $(CC) *.c $(CFLAGS) `pkg-config --cflags gimp-2.0 gtk+-2.0` \
			        -I/usr/include/atlas \
				-L/usr/lib/libblas -L/usr/lib/lapack -lblas -llapack -lm \
	                        $(LDFLAGS) \
	                        `pkg-config --libs gimp-2.0 gtk+-2.0`  \
	                        -o refocus
	touch build-stamp

clean:
	rm -f build-stamp
	rm -f build/*.o build/refocus

install:
	install -m 755 build/refocus $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 -d $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.html $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.pdf $(DESTDIR)$(DOCDIR)

.PHONY: clean

=== debian/changelog ===
gimp-plugin-registry (5.20120621ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 11:43:02 +0100

gimp-plugin-registry (5.20120621build1) quantal; urgency=low

  * Rebuild for libglew1.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2012 15:05:36 +0100

## gimp-plugin-registry 5.20120621ubuntu2

=== debian/changelog ===
gimp-plugin-registry (5.20120621ubuntu2) raring; urgency=low

  * ld-no-add-needed.patch: link files with needed libm

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 04 Apr 2013 23:33:44 +0200

## gimp-plugin-registry 5.20120621ubuntu3

=== DBP/Makefile ===


build: build-stamp
build-stamp:
	if dpkg --compare-versions $(GIMPVER) '>=' 2.3; then \
	    make -C src CPPFLAGS="$(CFLAGS)" NODEPS="" dbp  ;\
	else \
	    make -C src CPPFLAGS="$(CFLAGS)" dbp ;\
	fi
	touch build-stamp

clean:
	rm -f build-stamp
	-make -C src clean

install:
	install -m 755 src/dbp $(DESTDIR)$(PLUGINBINDIR)
	mkdir -p $(DESTDIR)$(DOCDIR)
	install -m 644 src/dbp.html src/dbp-main.png src/dbp-fileSelector.png $(DESTDIR)$(DOCDIR)


.PHONY: clean

=== focus-blur/Makefile ===
CLEAN-HOOK = rm -f src/po/*.gmo src/pixmaps/pixbufs.h

include ../common-autotools.mk

=== layer-effects/Makefile ===
ifeq (1,$(strip $(shell if dpkg --compare-versions `dpkg -s libgimp2.0-dev | awk '/^Version/ {print $$2}'` lt 2.7~; then echo 1; fi)))
SCRIPT = layerfx.py
else
SCRIPT = layerfx.2.8.py
endif

include ../common-py.mk

=== normalmap/Makefile ===
PLUGIN=src/normalmap

build: 
	cd src; $(MAKE) -f Makefile.linux \
                       CFLAGS="$(CFLAGS) `pkg-config --cflags gtk+-2.0 gtkglext-1.0 gimp-2.0`" \
                       LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CC="$(CC)" LD="$(CC)"

install:
	install -m 755 $(PLUGIN) $(DESTDIR)$(PLUGINBINDIR)

clean:
	$(MAKE) -C src clean

.PHONY: install clean build

=== separate+/Makefile ===
build: build-stamp

build-stamp:
	make -C src TARGETS="separate separate_import" CC="gcc -g $(CFLAGS)"
	touch build-stamp

install: build
	make -C src install PREFIX=$(DESTDIR)/usr TARGETS="separate separate_import"

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== traditional-orton/Makefile ===

SCRIPT = orton.scm

include ../common-script.mk

=== wavelet-decompose/Makefile ===

build: build-stamp

build-stamp:
	make -C src CFLAGS="$(CFLAGS) $(shell gimptool-2.0 --cflags)"
	touch build-stamp

install: build
	make -C src/po install LOCALEDIR=$(DESTDIR)/usr/share/locale 
	install -m 755 src/src/wavelet-decompose $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== wavelet-denoise/Makefile ===

build: build-stamp

build-stamp:
	make -C src CFLAGS="$(CFLAGS) $(shell gimptool-2.0 --cflags)"
	touch build-stamp

install: build
	make -C src/po install LOCALEDIR=$(DESTDIR)/usr/share/locale 
	install -m 755 src/src/wavelet-denoise $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== normalmap/gimp-normalmap-1.2.2/Makefile ===

OS=$(shell uname -s)
ifeq ($(OS), Linux)
include Makefile.linux
else
include Makefile.win32
endif

=== wavelet-denoise/wavelet-denoise-0.3.1/src/Makefile ===
CFLAGS = -O3 -Wall $(shell gimptool-2.0 --cflags)
LIBS = $(shell gimptool-2.0 --libs)
PLUGIN = wavelet-denoise
SOURCES = plugin.c colorspace.c denoise.c wavelet.c events.c interface.c
HEADERS = plugin.h interface.h messages.h

# END CONFIG ##################################################################

.PHONY: all install userinstall clean uninstall useruninstall

all: $(PLUGIN)

OBJECTS = $(subst .c,.o,$(SOURCES))

$(PLUGIN): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

%.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) -c -o $@ $*.c
	
install: $(PLUGIN)
	@gimptool-2.0 --install-admin-bin $^

userinstall: $(PLUGIN)
	@gimptool-2.0 --install-bin $^

uninstall:
	@gimptool-2.0 --uninstall-admin-bin $(PLUGIN)

useruninstall:
	@gimptool-2.0 --uninstall-bin $(PLUGIN)

clean:
	rm -f *.o $(PLUGIN)

=== debian/changelog ===
gimp-plugin-registry (5.20120621ubuntu3) trusty; urgency=low

  * Fix FTBFS, use any automake/aclocal.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Jan 2014 06:22:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, quilt,
  libgimp2.0-dev (>= 2.6), libxml-parser-perl,
  libblas-dev, liblapack-dev, libf2c2-dev, libfftw3-dev, libglew-dev,
- libgtkglext1-dev, liblcms1-dev, libtiff4-dev,
+ libgtkglext1-dev, liblcms1-dev, libtiff-dev,
  liblqr-1-0-dev (>= 0.3.0), intltool,
  libxcursor-dev, python, automake, autoconf, libglib2.0-dev
 Standards-Version: 3.9.0

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g -fPIC
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

include tools.mk

DESTDIR := $(CURDIR)/debian/gimp-plugin-registry

debian/control: $(VERSION_FILES) $(DESC_FILES) debian/control.in
	$(MAKE) -f debian/rules update-control

debian/copyright: $(COPYRIGHT_FILES) debian/copyright.in
	$(MAKE) -f debian/rules update-copyright
	

build: build-stamp

build-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for plugin in $(PLUGINS); do \
	    $(MAKE) -C $$plugin CFLAGS="$(CFLAGS)" GIMPVER="$(GIMPVER)" build  || exit 1 ;\
	done

	touch $@

clean: clean-patched debian/control debian/copyright
clean-patched: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-for plugin in $(PLUGINS); do \
	    $(MAKE) -C $$plugin GIMPVER="$(GIMPVER)" clean ;\
	done

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	for plugin in `echo $(PLUGINS) | sed 's,gimp-fx-foundry,,;s,^,gimp-fx-foundry ,'`; do \
		$(MAKE) -C $$plugin DESTDIR=$(DESTDIR) \
                                    PLUGINBINDIR=/usr/lib/gimp/2.0/plug-ins  \
	                            PLUGINSCRIPTDIR=/usr/share/gimp/2.0/scripts \
				    DOCDIR=/usr/share/doc/gimp-plugin-registry/$$plugin \
	                            GIMPVER="$(GIMPVER)" \
                                    install || exit 1 ;\
		for readme in README README.Debian; do \
	          if [ -r $$plugin/$$readme ]; then \
                    install -m 755 -d $(DESTDIR)/usr/share/doc/gimp-plugin-registry/$$plugin ;\
	            cp -L $$plugin/$$readme $(DESTDIR)/usr/share/doc/gimp-plugin-registry/$$plugin ;\
	          fi ;\
		done ;\
	done


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -l/usr/lib/lapack:/usr/lib/libblas
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure \
        update-all update-copyright update-control 


#### the following stuff is not needed to build the package,
#### it's only for lazy maintainers.

update-all: update-control update-copyright

update-copyright:
	( cat debian/copyright.in ;\
	  for plugin in $(PLUGINS); do \
	      echo; echo ;\
	      echo '************************************************************' ;\
	      echo "$$plugin:" ;\
	      echo ;\
	      if [ -f $$plugin/url ]; then \
	        echo "The plugin was downloaded from:" ;\
	        cat $$plugin/url ;\
	        echo ;\
	      fi ;\
	      sed 's,^,  ,;s,^ *$$,,g' $$plugin/copyright ;\
	  done ;\
	) > debian/copyright

update-control:
	( cat debian/control.in ;\
	  for plugin in $(PLUGINS); do \
	    if [ -f $$plugin/version ]; then \
	      p_version=`cat $$plugin/version` ;\
	      sed "s%{version}%($$p_version)%g" $$plugin/description ;\
	    else \
	      cat $$plugin/description ;\
	    fi | grep '[a-zA-Z]' | sed 's%^%   %';\
	  done ;\
	) > debian/control

## gimp-plugin-registry 7.20140602

=== focus-blur/Makefile ===
CLEAN-HOOK = rm -f src/po/*.gmo src/pixmaps/pixbufs.h
LDFLAGS += -lm
include ../common-autotools.mk

=== normalmap/Makefile ===
PLUGIN=src/normalmap

build: 
	cd src; $(MAKE) -f Makefile.linux \
                       CFLAGS="$(CFLAGS) `pkg-config --cflags gtk+-2.0 gtkglext-1.0 gimp-2.0`" \
                       LDFLAGS="-lm $(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CC="$(CC)" LD="$(CC)"

install:
	mkdir -p $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)$(PLUGINBINDIR)

clean:
	$(MAKE) -C src clean

.PHONY: install clean build

=== debian/changelog ===
gimp-plugin-registry (7.20140602) unstable; urgency=medium

  * [b8040b86] Update debian/README.source and add a symlink for github
  * [b73b5126] Migrato to lcms2.
    Thanks to Moritz Muehlenhoff (Closes: #745528)
  * [e018d41b] Auto update of debian/control
  * [6f8c53e9] Removing old seperate+ patches.
  * Bump version number, skipping version 6 as it went forgotten
    during the last upload....

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Jun 2014 22:48:39 +0200

gimp-plugin-registry (5.20140429) unstable; urgency=low

  * [07aa8a09] Migrate to the packaging system taken from nagios-plugins-contrib.
  * [54be3d44] Fix plugin name generation.
  * [f71bba3f] Rework the whole packagaging scripts / magic.
    Also make package buildable again by adding
    missing -lm flags (Closes: #740995, #704713).
  * [04ebb23a] Use dh compat level 9.
  * [b8c457e7] Disable dh_autoreconf for now.
  * [d18cbfca] Updating normalmap to 1.2.3
  * [b23b3b88] Update resynthesizer to latest git version.
  * [6f1bb1e2] There is no readme to generate.
    Don't call the packaging helper.
  * [81546ad7] Add python-debian as build dependency.
  * [a36e9fad] Use github as Vcs source.
  * [73944fc2] Define DOCDIR, handle isntalled files properly.
  * [76a8dc76] Auto update of debian/control
  * [d1cde231] Auto update of debian/copyright
  * [1d05b9aa] Fix common-settings.mk includes.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 29 Apr 2014 23:56:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,55 +1,53 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 5), autotools-dev, quilt,
- libgimp2.0-dev (>= 2.6), libxml-parser-perl,
- libblas-dev, liblapack-dev, libf2c2-dev, libfftw3-dev, libglew-dev,
- libgtkglext1-dev, liblcms1-dev, libtiff-dev,
- liblqr-1-0-dev (>= 0.3.0), intltool,
- libxcursor-dev, python, automake, autoconf, libglib2.0-dev
-Standards-Version: 3.9.0
-Vcs-Git: git://git.recluse.de/debian/pkg-gimp-plugin-registry.git
-Vcs-Browser: http://git.recluse.de/?p=debian/pkg-gimp-plugin-registry.git;a=summary
+Maintainer: Bernd Zeimetz <bzed@debian.org>
+Uploaders: Bernd Zeimetz <bzed@debian.org>
+Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
+ python, automake, autoconf, autotools-dev, dh-autoreconf,
+ libxml-parser-perl, libfftw3-dev, liblqr-1-0-dev, libglew-dev, libgtkglext1-dev, libblas-dev, liblapack-dev, libf2c2-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
+ python-debian
+Standards-Version: 3.9.5
+Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
+Vcs-Browser: https://github.com/bzed/gimp-plugin-registry
 
 Package: gimp-plugin-registry
 Architecture: any
 Depends: gimp (>= 2.6),
  ${shlibs:Depends}, ${misc:Depends},
- python, libtiff-tools, xdg-utils
-Suggests: icc-profiles
+ python, libtiff-tools, xdg-utils,
+Suggests: icc-profiles, 
 Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
 Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer
 Provides: gimp-save-for-web, gimp-resynthesizer
 Enhances: gimp
-Recommends: gimp-gmic
+Recommends: gimp-gmic, 
 Description: repository of optional extensions for GIMP
  The package contains the following plugins:
  .
-   * Add Film Grain (2.8):
+   * DBP (1.1.9): David's Batch Processor
+     A simple batch processing plugin for The Gimp - it allows
+     the user to automatically perform operations (such as resize)
+     on a collection of image files.
+   * add-filmgrain (2.8): Add Film Grain
      Helps adding realistic film grain to BW images.
-   * btn4ws (0.8.0.1):
+   * btn4ws (0.8.0.1): btn4ws
      Generates a series of buttons in three states (passive, active, pressed)
      with various selectable effects on them, as well as XHTML, CSS and
      JavaScript code for using the buttons.
-   * Black and White Film Simulation (1.1):
+   * bw-simulation (1.1): Black and White Film Simulation
      Converts the selected layer into Black and White using
      the channel mixer. Tries to produce results resembling
      tonal qualities of film.
-   * CMYK Tiff 2 PDF for Gimp (20090321):
+   * cmyk-tiff-2-pdf (20090321): CMYK Tiff 2 PDF for Gimp
      This plugin completes the prepress workflow of using Separate+ to generate
      CMYK Tiff images by allowing you to convert the saved CMYK Tiff image into
      a PDF file.
-   * Contact Sheet (2.16):
+   * contact-sheet (2.16): Contact Sheet
      Generates a contact sheet(s) for a directory of images.
-   * David's Batch Processor (1.1.9):
-     A simple batch processing plugin for The Gimp - it allows
-     the user to automatically perform operations (such as resize)
-     on a collection of image files.
-   * Diana-Holga2 (c):
+   * diana-holga2 (c): Diana-Holga2
      Diana/Holga Toys Cameras effect simulator.
-   * El Samuko GIMP Scripts:
+   * elsamuko: El Samuko GIMP Scripts:
      * Antique Photo Border Script:
        This script simulates a yellowed and slightly jagged border
        like these of old photographies.
@@ -106,82 +104,82 @@
        This script simulates the 3 Color Technicolor effect.
      * Vintage Look Script:
        This script simulates a 70s vintage look.
-      * Exposure Blend (1.3b):
-        Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
-        and blend these into a contrast enhanced image.
-   * EZ Perspective:
+   * exposure-blend (1.3b): Exposure Blend
+     Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
+     and blend these into a contrast enhanced image.
+   * ez-perspective: EZ Perspective:
      Specialized tool for easily correcting or changing perspective.
-   * Fix-CA (3.0.2):
+   * fix-ca (3.0.2): Fix-CA
      Corrects chromatic aberration in photos
-   * Focus-Blur (3.2.6):
+   * focus-blur (3.2.6): Focus-Blur
      This plugin tries to simulate an out-of-focus blur
-   * GIMP FX Foundry (r111):
+   * gimp-fx-foundry (r111): GIMP FX Foundry
      Probably the largest script collection available for The GIMP.
-   * GIMP-Mask:
+   * gimp-mask: GIMP-Mask:
      Do and undo several popular image masking (that is, censoring)
      methods (CP, FL, Q0, MEKO).
-   * Warming and Cooling Filters (May 24, 2010):
+   * hdroberts-tone-adjust (May 24, 2010): Warming and Cooling Filters
      Warm or cool an image using one of several methods:
      Wratten, Roy's Warm, Brauer's Warm, Pasty Cadaveric Look
-   * Layer-Effects (4/12/2012):
+   * layer-effects (4/12/2012): Layer-Effects
      This is a series of scripts that implement various layer effects:
      Drop Shadow, Inner Shadow, Outer Glow, Inner Glow, Bevel and Emboss,
      Satin, Color Overlay, Gradient Overlay, Pattern Overlay, Stroke
-   * Liquid Rescale (0.7.1):
+   * lqr (0.7.1): Liquid Rescale
      Content-aware rescaling. Keeps the features of the image while
      rescaling along a single direction.
-   * Normalmap (1.2.2):
+   * normalmap (1.2.3): Normalmap
      Allows you to convert images into RGB normal maps for use in
      per-pixel lighting applications.
-   * OpenRaster load/save handler (20110529-1d32622):
+   * openraster (20110529-1d32622): OpenRaster load/save handler
      OpenRaster is an effort by the Create project[1] to offer a standardized
      and open interchange format for raster-based applications. This plugin
      allows one to load and save files in the OpenRaster format.
-   * Planet Render (1-2):
+   * planet-render (1-2): Planet Render
      Creates a planet. Color, size and sun orientation
      can be set.
-   * Refocus (0.9.1):
+   * refocus (0.9.1): Refocus
      The GIMP plugin to refocus images using FIR Wiener filtering.
      During image processing operations such as scanning and scaling, images
      tend to get blurry. The blurred impression of these images is due to the
      fact that image pixels are averaged with their neighbors. Blurred images
      don't have sharp boundaries and look as though they have been taken with
      an unfocused camera.
-   * Resynthesizer (2.0):
+   * resynthesizer (2.0): Resynthesizer
      Gimp plugin for texture synthesis
      This gimp plugin takes samples of textures, and synthesizes larger textures
      from them.  It can be used to extend textures (including making tileable
      textures), remove objects from textures, and make themed images.
-   * Save for Web (0.29.0):
+   * safe-for-web (0.29.0): Save for Web
      Allows to experiment with various popular web format options. It shows
      an automatically updated preview and file size statistics.
-   * Separate+ (0.5.8):
+   * separate+ (0.5.8): Separate+
      Separate+ is a plug-in that generates color separations from an RGB
      image, proofs CMYK colors on the monitor and exports the CMYK TIFF file.
-   * Smart Seperate Sharpening (2.8):
+   * smart-seperate-sharpen (2.8): Smart Seperate Sharpening
      This script implements a new version of smart sharpening (redux)
      combined with separate sharpen to give better results.
      You can find more about Smart Sharpening at
      http://www.gimpguru.org/Tutorials/SmartSharpening2/
-   * Streak-Camera simulation (0.6):
+   * streak (0.6): Streak-Camera simulation
      A streak camera images an object through a slit -
      thus getting a "one dimensional image". This image is
      propagated along the second dimension of the image plane
      at a constant speed. The result is a picture of the time
      dependency of the object.
-   * Traditional Orton:
-     This is an effect invented by Michael Orton in the 1990’s, which
+   * traditional-orton: Traditional Orton:
+     This is an effect invented by Michael Orton in the 1990s, which
      consists of taking two copies of an image, one blurred, and one sharp,
      and mixing them to produce an image with a dreamy quality. It is
      especially well suited to landscape and flower photography.
-   * Wavelet Decompose (0.1.2):
+   * wavelet-decompose (0.1.2): Wavelet Decompose
      The wavelet decompose plugin decomposes a layer of an image into layers
      of wavelet scales. This means that you can edit the image on different
      detail scales (frequencies). The trivial recomposition of the image can
      be done by GIMP's layer modes so you can see the results of your
      modifications instantly. Among the applications are retouching, noise
      reduction, and enhancing global contrast.
-   * Wavelet Denoise (0.3.1):
+   * wavelet-denoise (0.3.1): Wavelet Denoise
      The wavelet denoise plugin is a tool to selectively reduce noise in
      individual channels of an image with optional RGB<->YCbCr conversion.
      It has a user interface to adjust the amount of denoising applied. The

## gimp-plugin-registry 7.20140602b1

=== debian/changelog ===
gimp-plugin-registry (7.20140602b1) staging; urgency=medium

  * No-change rebuild against libjpeg-turbo (libjpeg62)

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Fri, 03 Apr 2015 00:12:02 +0200

## gimp-plugin-registry 7.20140602b2

=== debian/changelog ===
gimp-plugin-registry (7.20140602b2) staging; urgency=medium

  * No-change rebuild.

 -- Matthias Klumpp <mak@debian.org>  Mon, 16 May 2016 01:22:15 +0200

## gimp-plugin-registry 7.20140602ubuntu1

=== debian/changelog ===
gimp-plugin-registry (7.20140602ubuntu1) vivid; urgency=medium

  * Fix order of -lm in linker flags.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Nov 2014 14:47:40 +0000

## gimp-plugin-registry 7.20140602ubuntu2

=== btn4ws/Makefile ===
SCRIPT = btn4ws.py

include ../common-py.mk

=== hdroberts-tone-adjust/Makefile ===

SCRIPT = hdroberts-tone-adjust.scm

include ../common-script.mk

=== streak/Makefile ===
PLUGIN = streak

include ../common.mk

=== refocus/refocus-0.9.1/gtk-doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# This is a blank Makefile.am for using gtk-doc.
# Copy this to your project's API docs directory and modify the variables to
# suit your project. See the GTK+ Makefiles in gtk+/docs/reference for examples
# of using the various options.

# The name of the module, e.g. 'glib'.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/refocus
pkglibdir = $(libdir)/refocus
pkgincludedir = $(includedir)/refocus

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = gcc
GCC3 = 
GIMPTOOL = /usr/bin/gimptool
GIMP_CFLAGS = -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12
GIMP_CFLAGS_NOUI = -I/usr/include/gimp-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
GIMP_DATA_DIR = /usr/share/gimp/2.0
GIMP_LIBS = -L/usr/lib -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -L/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
GIMP_LIBS_NOUI = -L/usr/lib -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -L/lib -lglib-2.0
GIMP_PLUGIN_DIR = /usr/lib/gimp/2.0
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -L/lib -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GOBJECT_QUERY = gobject-query
GTKDOC = true
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -L/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HTML_DIR = ${datadir}/gtk-doc/html
LAPACK_INCLUDE_DIR = ${top_srcdir}/lib
LAPACK_LIB_DIR = ${top_srcdir}/lib
MAKEINFO = makeinfo
PACKAGE = refocus
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
VERSION = 0.9.0

DOC_MODULE = refocus

# The top-level SGML file. Change it if you want.
DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.sgml

# The directory containing the source code. Relative to $(srcdir).
# gtk-doc will search all .c & .h files beneath here for inline comments
# documenting functions and macros.
DOC_SOURCE_DIR = ../src

# Extra options to pass to gtkdoc-scanobj or gtkdoc-scangobj.
SCANOBJ_OPTIONS = 

# Extra options to supply to gtkdoc-scan.
SCAN_OPTIONS = 

# Extra options to supply to gtkdoc-mkdb.
MKDB_OPTIONS = 

# Extra options to supply to gtkdoc-fixref.
FIXXREF_OPTIONS = 

# Used for dependencies.
HFILE_GLOB = ../src/*.h
CFILE_GLOB = 

# Header files to ignore when scanning.
IGNORE_HFILES = 

# Images to copy into HTML directory.
HTML_IMAGES = 

# Extra SGML files that are included by $(DOC_MAIN_SGML_FILE).
content_files = 

# Other files to distribute.
extra_files = 

# CFLAGS and LDFLAGS for compiling scan program. Only needed if your app/lib
# contains GtkObjects/GObjects and you want to document signals and properties.
GTKDOC_CFLAGS = `pkg-config --cflags gtk+-2.0 gdk-pixbuf-2.0 glib-2.0`
GTKDOC_LIBS = `pkg-config --libs gtk+-2.0 gdk-pixbuf-2.0 glib-2.0` -lgimp ../src/gimppreview.o ../src/dummy-plugin.o

GTKDOC_CC = $(CC)
GTKDOC_LD = $(CC)

# If you need to override some of the declarations, place them in the
# $(DOC_MODULE)-overrides.txt file and uncomment the second line here.
DOC_OVERRIDES = 
#DOC_OVERRIDES = $(DOC_MODULE)-overrides.txt

SCAN_OBJS = ../src/gimppreview.o ../src/dummy-plugin.o

###########################################################################
# Everything below here is generic and you shouldn't need to change it.
###########################################################################

TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)

EXTRA_DIST = \
	$(content_files)		\
	$(extra_files)			\
	$(HTML_IMAGES)			\
	$(DOC_MAIN_SGML_FILE)		\
	$(DOC_MODULE).types		\
	$(DOC_MODULE)-sections.txt	\
	$(DOC_OVERRIDES)


DOC_STAMPS = scan-build.stamp tmpl-build.stamp sgml-build.stamp html-build.stamp \
	   $(srcdir)/tmpl.stamp $(srcdir)/sgml.stamp $(srcdir)/html.stamp


SCANOBJ_FILES = \
	$(DOC_MODULE).args 	\
	$(DOC_MODULE).hierarchy \
	$(DOC_MODULE).signals

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps gtk-doc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = gtk-doc

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-data-local
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile all-local
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am clean-local

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am \
		maintainer-clean-local
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-local install-data-am install-data install-am install \
uninstall-am uninstall all-local all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

../src/gimppreview.o:
	cd ../src; make gimppreview.o
../src/dummy-plugin.o:
	cd ../src; make dummy-plugin.o

#all-local: html-build.stamp

#### scan ####

#scan-build.stamp: $(HFILE_GLOB) $(SCAN_OBJS)
#	@echo '*** Scanning header files ***'
#	if grep -l '^..*$$' $(srcdir)/$(DOC_MODULE).types > /dev/null ; then \
#	    CC="$(GTKDOC_CC)" LD="$(GTKDOC_LD)" CFLAGS="$(GTKDOC_CFLAGS)" LDFLAGS="$(GTKDOC_LIBS)" gtkdoc-scangobj $(SCANOBJ_OPTIONS) --module=$(DOC_MODULE) --output-dir=$(srcdir) ; \
#	else \
#	    cd $(srcdir) ; \
#	    for i in $(SCANOBJ_FILES) ; do \
#               test -f $$i || touch $$i ; \
#	    done \
#	fi
#	cd $(srcdir) && \
#	  gtkdoc-scan --module=$(DOC_MODULE) --source-dir=$(DOC_SOURCE_DIR) --ignore-headers="$(IGNORE_HFILES)" $(SCAN_OPTIONS) $(EXTRA_HFILES)
#	touch scan-build.stamp

#$(DOC_MODULE)-decl.txt $(SCANOBJ_FILES): scan-build.stamp
#	@true

#### templates ####

#tmpl-build.stamp: $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(DOC_MODULE)-sections.txt $(DOC_OVERRIDES)
#	@echo '*** Rebuilding template files ***'
#	cd $(srcdir) && gtkdoc-mktmpl --module=$(DOC_MODULE)
#	touch tmpl-build.stamp

#tmpl.stamp: tmpl-build.stamp
#	@true

#### sgml ####

#sgml-build.stamp: tmpl.stamp $(CFILE_GLOB) $(srcdir)/tmpl/*.sgml
#	@echo '*** Building SGML ***'
#	cd $(srcdir) && \
#	gtkdoc-mkdb --module=$(DOC_MODULE) --source-dir=$(DOC_SOURCE_DIR) --main-sgml-file=$(DOC_MAIN_SGML_FILE) $(MKDB_OPTIONS)
#	touch sgml-build.stamp

#sgml.stamp: sgml-build.stamp
#	@true

#### html ####

#html-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files)
#	@echo '*** Building HTML ***'
#	test -d $(srcdir)/html || mkdir $(srcdir)/html
#	cd $(srcdir)/html && gtkdoc-mkhtml $(DOC_MODULE) ../$(DOC_MAIN_SGML_FILE)
#	test "x$(HTML_IMAGES)" = "x" || ( cd $(srcdir) && cp $(HTML_IMAGES) html )
#	@echo '-- Fixing Crossreferences' 
#	cd $(srcdir) && gtkdoc-fixxref --module-dir=html --html-dir=$(HTML_DIR) $(FIXXREF_OPTIONS)
#	touch html-build.stamp

##############

clean-local:
	rm -f *~ *.bak $(SCANOBJ_FILES) *-unused.txt $(DOC_STAMPS)

maintainer-clean-local: clean
	cd $(srcdir) && rm -rf sgml html $(DOC_MODULE)-decl-list.txt $(DOC_MODULE)-decl.txt

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(TARGET_DIR)
	(installfiles=`echo $(srcdir)/html/*.html`; \
	if test "$$installfiles" = '$(srcdir)/html/*.html'; \
	then echo '-- Nothing to install' ; \
	else \
	  for i in $$installfiles; do \
	    echo '-- Installing '$$i ; \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(TARGET_DIR); \
	  done; \
	  echo '-- Installing $(srcdir)/html/index.sgml' ; \
	  $(INSTALL_DATA) $(srcdir)/html/index.sgml $(DESTDIR)$(TARGET_DIR); \
	fi)

#
# Require gtk-doc when making dist
#
#dist-check-gtkdoc:
dist-check-gtkdoc:
	@echo "*** gtk-doc should be installed and enabled in order to make dist"

#dist-hook: dist-check-gtkdoc dist-hook-local
#	mkdir $(distdir)/tmpl
#	mkdir $(distdir)/sgml
#	mkdir $(distdir)/html
#	-cp $(srcdir)/tmpl/*.sgml $(distdir)/tmpl
#	-cp $(srcdir)/sgml/*.sgml $(distdir)/sgml
#	-cp $(srcdir)/html/index.sgml $(distdir)/html
#	-cp $(srcdir)/html/*.html $(srcdir)/html/*.css $(distdir)/html

#	images=$(HTML_IMAGES) ;    	      \
#	for i in $$images ; do		      \
#	  cp $(srcdir)/$$i $(distdir)/html ;  \
#	done
dist-hook:

.PHONY : dist-hook-local

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== separate+/separate+/po/Makefile ===
LOCALEDIR = $(PREFIX)/share/locale
#LOCALEDIR = $(PREFIX)/lib/locale
GETTEXT_PACKAGE = gimp20-separate
LINGUAS = cs es fr ja ru pl ko
POFILES = $(LINGUAS:%=%.po)
CATALOGS = $(LINGUAS:%=%.gmo)

.SUFFIXES: .po .gmo

all: $(CATALOGS)

clean:
	$(RM) $(CATALOGS)

.po.gmo:
	msgfmt -o $@ $<

install: $(CATALOGS)
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		mkdir -p "$$dir"; \
		install -m 644 -c $$lang.gmo "$$dir/$(GETTEXT_PACKAGE).mo"; \
		echo "installing $$lang.gmo as $$dir/$(GETTEXT_PACKAGE).mo"; \
	done
	
uninstall:
	linguas="$(LINGUAS)"; \
	for lang in $$linguas; do \
		dir="$(LOCALEDIR)/$$lang/LC_MESSAGES"; \
		$(RM) "$$dir/$(GETTEXT_PACKAGE).mo"; \
	done

=== debian/changelog ===
gimp-plugin-registry (7.20140602ubuntu2) xenial; urgency=medium

  * Rebuild with the new glew soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Nov 2015 11:35:47 +0100
